Re: [gentoo-dev] rdp vs rdesktop vs freerdp USE flags

2016-12-08 Thread Andrew Savchenko
Hi,

On Thu, 08 Dec 2016 11:29:51 +0100 Pacho Ramos wrote:
> When looking at freerdp reverse deps I noticed we are using three different
> names for USE flags enabling freerdp support: rdp, rdesktop and freerdp
> 
> rdesktop is the only one that is a global USE flag, even if it's used only by
> two packages, the others are local USE flags that are enabling similar
> supports. 
> 
> What should we do? Move all to rdesktop?

Move everything to rdp, since this one is most common; add it to
global flags and remove rdesktop from the list.
 
> Thanks
> 
>  $ grep -r net-misc/freerdp */*/*.ebuild
> dev-libs/weston/weston-1.11.0.ebuild: rdp? ( >=net-misc/freerdp-
> 1.1.0_beta1_p20130710 )
> dev-libs/weston/weston-1.9.0.ebuild:  rdp? ( >=net-misc/freerdp-
> 1.1.0_beta1_p20130710 )
> dev-libs/weston/weston-.ebuild:   rdp? ( >=net-misc/freerdp-
> 1.1.0_beta1_p20130710 )
> kde-apps/krdc/krdc-16.04.3.ebuild:rdesktop? ( >=net-misc/freerdp-
> 1.1.0_beta1[X] )
> kde-apps/krdc/krdc-16.08.3.ebuild:rdesktop? ( >=net-misc/freerdp-
> 1.1.0_beta1[X] )
> media-video/vlc/vlc-2.2.1-r1.ebuild:  rdp? ( >=net-misc/freerdp-
> 1.0.1:0=[client]  media-video/vlc/vlc-2.2.4.ebuild: rdp? ( >=net-misc/freerdp-
> 1.0.1:0=[client]  media-video/vlc/vlc-2.2..ebuild:  rdp? ( >=net-misc/freerdp-1.0.1:0= )
> media-video/vlc/vlc-.ebuild:  rdp? ( >=net-misc/freerdp-1.0.1:0= )
> net-misc/guacamole-server/guacamole-server-0.9.9.ebuild:  rdesktop? (
>  net-misc/remmina/remmina-1.2.0_rc15.ebuild:   freerdp? ( >=net-
> misc/freerdp-2 )
> net-misc/remmina/remmina-1.2.0_rc16.ebuild:   freerdp? ( >=net-
> misc/freerdp-2 )
> net-misc/remmina/remmina-1.2.0_rc3-r1.ebuild: >=net-misc/freerdp-
> 1.2
> net-misc/remmina/remmina-1.2.0_rc3-r1.ebuild:  net-misc/remmina/remmina-.ebuild: >=net-misc/freerdp-
> 1.1.0_beta1_p20130710
> net-misc/remmina/remmina-.ebuild:  net-misc/vinagre/vinagre-3.20.2.ebuild:   rdp? (  net-misc/vinagre/vinagre-3.22.0.ebuild:   rdp? (  net-misc/xrdp/xrdp-0.8.0-r1.ebuild:#  neutrinordp? ( net-misc/freerdp:0= )
> 


Best regards,
Andrew Savchenko


pgp6TJGtt8nPH.pgp
Description: PGP signature


Re: [gentoo-dev] rdp vs rdesktop vs freerdp USE flags

2016-12-08 Thread Doug Freed
On Thu, Dec 8, 2016 at 7:38 AM, Andrew Savchenko  wrote:
> Hi,
>
> On Thu, 08 Dec 2016 11:29:51 +0100 Pacho Ramos wrote:
>> When looking at freerdp reverse deps I noticed we are using three different
>> names for USE flags enabling freerdp support: rdp, rdesktop and freerdp
>>
>> rdesktop is the only one that is a global USE flag, even if it's used only by
>> two packages, the others are local USE flags that are enabling similar
>> supports.
>>
>> What should we do? Move all to rdesktop?
>
> Move everything to rdp, since this one is most common; add it to
> global flags and remove rdesktop from the list.

+1; RDP is the protocol, whereas freerdp/rdesktop is the
implementation.  This allows one to later replace the dependency with
an any-of or virtual, without needing to change the useflag.

-Doug
dwfreed



Re: Thread moving to -nfp LIST [Re: [gentoo-dev] Gentooo 501(c) accounting]

2016-12-08 Thread james

On 12/07/2016 04:39 PM, Robin H. Johnson wrote:

On Wed, Dec 07, 2016 at 04:01:53PM -0500, james wrote:

Can you cross post to gentoo-dev? I'm not subscribed to that list.
Should not a wider community, particularly devs be part of the discussion?

Please DO subscribe.


Nope. I strongly believe that if your wider dev community had a deeper 
understanding of the responsibility chain, gentoo would not be in such a 
mess. These juvenile beliefs and behaviors your dev teams routinely 
display, can be used against the organization, if IRS agents so desire.
It'd be a trivial occurrence for the IRS to reclassify gentoo to 
something other than a charity. Any a. h. can profit by being a snitch 
to the IRS. If you doubt this, find an old/mean/retired IRS agent to 
audit gentoo. A CPA will lie to you, legally. Cause when you make 
mistakes and get audited (can be easily triggered by a pal of the CPA 
you go to), that just means more 'billable hours' for the CPA. They'll 
bleed gentoo dry and participate with the IRS in going after companies 
that have used gentoo for their own gain. When you give to a charity, 
there is suppose to be a 'hands off' what the charity does with the 
gift, otherwise it's a corporate tax-dodge in the eyes of the IRS.

GSoC is a poster child for this problem.


How's that tech relationship with the tech industry and the trump team 
looking these days?  Go read about about what Obama did to the 501(c) 
charities circa the 2012 election cycle. Pense was the ring leader in 
working behind close doors to defund the IRS to calm that one sided

assault on 501(c) organization down.   Read the tea leaves, brah.



The results of what you have discovered, desperately needs to be shared 
with your devs, so they can begin to develop wisdom and culture their 
attitudes into a recognized charity organization, which is what Gentoo 
purports to be. My prayers are with you, brother. Furthermore, the real 
risk is some starving lawyer goes after one of any of the companies that 
have previously been generous to gentoo first attacking gentoo.
It's a dominoes legal strategy and works all the time in the court 
systems. Ignorance of the law and shoddy records puts gentoo squarely in 
the "guilty but pleading for judicial mercy" category. The problem is 
these sorts of lawyers do not need Trump or Pense to do their bidding. 
They earn lots of money churning up 501(c) and many others.



For example some layers have made millions and millions of dollars off 
of suing all sorts of organizations for failure to comply with laws 
related to the disability act. Things like designated parking spots and 
wheelchair ramps. 501(c) and governmental agencies have all been sued as 
such too.  So if a potential dev is OCD, or otherwise has psychological 
disabilities, what is the gentoo strategy to be charitable to them?



Hell, our devs run off folks that are well qualified, due to the clique 
and the standard dev  assimilated trite behaviors. If once they see the 
power, of the dark side, and first hand witness the devastation the IRS 
can bring, they'll all understand and become wise; but at a tremendous 
price.You catching the drift here? I sure hope so.




The long response I just sent is significantly off-topic for the -dev
list. It may be almost on-topic for the -project list, but certainly not
-dev.


I could not disagree more, but that's your choice.



The council agenda this month includes getting more off-topic stuff out
of -project, so keeping the lists to their intended function should be
done.


You devs are at the heart of the problem; you need to remove your 
blinders and learn from what has happened. Repent and turn Gentoo into 
the wonderful charity it should be. Remove the collective a. h. and 
their behaviors, asap. Set standard and put violators on probation

just like is routine for new devs. Authority alwayhs comes with a price.
Think of it this way, Gentoo is under the microscope and these 
revelations should have a profound effect on the leadership, asap. 
Failure to be wise in leadership, is not going to work as a defense in a 
court of law. Let's hope (and pray) it does not come down to that.




At least a quick link for folk, who are interested can read what is
discussed via the list? I'm sure I'm not the only one interested in
our goals and management infrastructures.

https://archives.gentoo.org/gentoo-nfp/message/ca4fd8c98b9649bb060d48b466927c82



A fine work; thanks for your commitments. I've been here 14 years. This 
is not a problem of anyone's making. It a problem of a lack of 
leadership which is due to a lack of wisdom. Now you and the Council and 
the Foundation are in the positions of leadership; so LEAD.



A word of advise: Document all of the discrepancies you can, since you 
are now involved as a fiduciary with gentoo. Do not hide any of them. 
Publish them and beg all for help. gnucash-user is full of help. FREE 
help. USE it!


California has to have at least one 

[gentoo-dev] rdp vs rdesktop vs freerdp USE flags

2016-12-08 Thread Pacho Ramos
When looking at freerdp reverse deps I noticed we are using three different
names for USE flags enabling freerdp support: rdp, rdesktop and freerdp

rdesktop is the only one that is a global USE flag, even if it's used only by
two packages, the others are local USE flags that are enabling similar
supports. 

What should we do? Move all to rdesktop?

Thanks

 $ grep -r net-misc/freerdp */*/*.ebuild
dev-libs/weston/weston-1.11.0.ebuild:   rdp? ( >=net-misc/freerdp-
1.1.0_beta1_p20130710 )
dev-libs/weston/weston-1.9.0.ebuild:rdp? ( >=net-misc/freerdp-
1.1.0_beta1_p20130710 )
dev-libs/weston/weston-.ebuild: rdp? ( >=net-misc/freerdp-
1.1.0_beta1_p20130710 )
kde-apps/krdc/krdc-16.04.3.ebuild:  rdesktop? ( >=net-misc/freerdp-
1.1.0_beta1[X] )
kde-apps/krdc/krdc-16.08.3.ebuild:  rdesktop? ( >=net-misc/freerdp-
1.1.0_beta1[X] )
media-video/vlc/vlc-2.2.1-r1.ebuild:rdp? ( >=net-misc/freerdp-
1.0.1:0=[client] =net-misc/freerdp-
1.0.1:0=[client] =net-misc/freerdp-1.0.1:0= )
media-video/vlc/vlc-.ebuild:rdp? ( >=net-misc/freerdp-1.0.1:0= )
net-misc/guacamole-server/guacamole-server-0.9.9.ebuild:rdesktop? (
=net-
misc/freerdp-2 )
net-misc/remmina/remmina-1.2.0_rc16.ebuild: freerdp? ( >=net-
misc/freerdp-2 )
net-misc/remmina/remmina-1.2.0_rc3-r1.ebuild:   >=net-misc/freerdp-
1.2
net-misc/remmina/remmina-1.2.0_rc3-r1.ebuild:   =net-misc/freerdp-
1.1.0_beta1_p20130710
net-misc/remmina/remmina-.ebuild:   

Re: [gentoo-dev] rdp vs rdesktop vs freerdp USE flags

2016-12-08 Thread Mike Gilbert
On Thu, Dec 8, 2016 at 9:10 AM, Doug Freed  wrote:
> On Thu, Dec 8, 2016 at 7:38 AM, Andrew Savchenko  wrote:
>> Hi,
>>
>> On Thu, 08 Dec 2016 11:29:51 +0100 Pacho Ramos wrote:
>>> When looking at freerdp reverse deps I noticed we are using three different
>>> names for USE flags enabling freerdp support: rdp, rdesktop and freerdp
>>>
>>> rdesktop is the only one that is a global USE flag, even if it's used only 
>>> by
>>> two packages, the others are local USE flags that are enabling similar
>>> supports.
>>>
>>> What should we do? Move all to rdesktop?
>>
>> Move everything to rdp, since this one is most common; add it to
>> global flags and remove rdesktop from the list.
>
> +1; RDP is the protocol, whereas freerdp/rdesktop is the
> implementation.  This allows one to later replace the dependency with
> an any-of or virtual, without needing to change the useflag.

"rdp" makes the most sense to me as well. That eliminates any
confusion over whether "rdesktop" means "remote desktop support", or
refers to net-misc/rdesktop.



Please stay on-topic. (was: Re: Thread moving to -nfp LIST [Re: [gentoo-dev] Gentooo 501(c) accounting])

2016-12-08 Thread Andreas K. Huettel
-BEGIN PGP SIGNED MESSAGE-
Hash: SHA512

Am Donnerstag, 8. Dezember 2016, 15:08:17 schrieb james:
> On 12/07/2016 04:39 PM, Robin H. Johnson wrote:
> > On Wed, Dec 07, 2016 at 04:01:53PM -0500, james wrote:
> >> Can you cross post to gentoo-dev? I'm not subscribed to that list.
> >> Should not a wider community, particularly devs be part of the
> >> discussion?
> > 
> > Please DO subscribe.
> 
> Nope. I strongly believe that if your wider dev community had a deeper
> understanding of the responsibility chain...


Even if I'm repeating myself... Please keep the mailing lists on topic. 

While the topics of gentoo-project are widespread, conspiracy theories and US 
politics are definitely not on-topic here. 

Also, to confirm what robbat2 suggested, Gentoo Foundation organizational 
questions including how to deal with the IRS (should that even be discussed on 
a publicly archived list?) find their best audience on the nfp list.

After all, whoever wants to participate can subscribe there, and whoever 
doesn't subscribe there probably doesn't *want* to hear about it.

- -- 

Andreas K. Huettel
Gentoo Linux developer 
dilfri...@gentoo.org
http://www.akhuettel.de/

-BEGIN PGP SIGNATURE-
Version: GnuPG v2

iQKTBAEBCgB9FiEEwo/LD3vtE3qssC2JpEzzc+fumeQFAlhJsWRfFIAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEMy
OEZDQjBGN0JFRDEzN0FBQ0IwMkQ4OUE0NENGMzczRTdFRTk5RTQACgkQpEzzc+fu
meT4DRAAzTBM4PJVx+bpzSD+8rcC+38sTMm7ss+2NVypm5mD6iHNhPflUUcbfOZy
Foj9rhhj3pR7YkeKfc4KtHKzlYgGvLWnCDbnsK2QnV9Nc0oD8LyuqltW1rJp2VEv
2ADOPicyesE9oykqKe4oRH/kthPPGPtXX4g6ukOvJPa+m2hQb/60WD/EEZCoYwQC
xhV0koYCfMY2Poe742/kIuEP58BrbtYNLjlI2dw3iZS33puSQThw3lNQ47XRqjH1
CEx2Oj+ZFeEEg/bixXp0vxdIq3Lyq0Xvs/PY7pGg5lTAC6UMzDZAd1o+MlxqgvfO
fID4Cg3OUPKAaKXHH6hlCbCrAeKvpm6S/PtmG0ToZgjUWAFxQjT5lCo4zdKjQIoh
KpxTvgvi38Vngoc9oftuNHDVXIGi9/Zy8FiVp+ZXQN9RfHO4K9N+EIq+AxG6+qqK
YG5AcZ6/3FLe/0j1jfPHnJ9aD9Mj15CDW6h+cDTCp9J9RnWAz6eoODznu+d8m6hW
hFdIv+HjiD9VdzMXAerTsh5KD+ZF9xw6wceI0IGC3h2Tms2WzVXRqTIezTasD1bn
CS80bseWzdvIptJQL3RF9X/wm3vFXUeoLI+mpKXtlgxZZUsEhIrihSkBrVKomhFN
rRq1ch2ki/sf3guotDCLtYLGK/ddtjGDHy2MqTRp7dixPMj9Zu4=
=SPCr
-END PGP SIGNATURE-



[gentoo-dev] [PATCH 5/5] depend.apache.eclass: Restructure pkg_setup so in_iuse is used from EAPI=6 on

2016-12-08 Thread Andreas K . Hüttel
---
 eclass/depend.apache.eclass | 31 +++
 1 file changed, 19 insertions(+), 12 deletions(-)

diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index 8582396..2d7b062 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -176,21 +176,28 @@ depend.apache_pkg_setup() {
fi
 
local myiuse=${1:-apache2}
-   if has ${myiuse} ${IUSE}; then
-   if use ${myiuse}; then
-   case ${EAPI:-0} in
-   0|2|3|4|5)
+
+   case ${EAPI:-0} in
+   0|2|3|4|5)
+   if has ${myiuse} ${IUSE}; then
+   if use ${myiuse}; then
_init_apache2
-   ;;
-   *)
+   else
+   _init_no_apache
+   fi
+   fi
+   ;;
+   *)
+   if in_iuse ${myiuse}; then
+   if use ${myiuse}; then
_init_apache2
_init_apache2_late
-   ;;
-   esac
-   else
-   _init_no_apache
-   fi
-   fi
+   else
+   _init_no_apache
+   fi
+   fi
+   ;;
+   esac
 }
 
 # @FUNCTION: want_apache
-- 
2.11.0.rc2




[gentoo-dev] [PATCH 3/5] depend.apache.eclass: Add missing function want_apache2_4

2016-12-08 Thread Andreas K . Hüttel
---
 eclass/depend.apache.eclass | 17 +
 1 file changed, 17 insertions(+)

diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index e858a85..a51ec55 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -225,6 +225,23 @@ want_apache2_2() {
RDEPEND="${RDEPEND} ${myiuse}? ( ${APACHE2_2_DEPEND} )"
 }
 
+# @FUNCTION: want_apache2_4
+# @USAGE: [myiuse]
+# @DESCRIPTION:
+# An ebuild calls this to get the dependency information for optional
+# apache-2.4.x support. If the myiuse parameter is not given it defaults to
+# apache2.
+# An ebuild should additionally call depend.apache_pkg_setup() in pkg_setup()
+# with the same myiuse parameter.
+want_apache2_4() {
+   debug-print-function $FUNCNAME $*
+
+   local myiuse=${1:-apache2}
+   IUSE="${IUSE} ${myiuse}"
+   DEPEND="${DEPEND} ${myiuse}? ( ${APACHE2_4_DEPEND} )"
+   RDEPEND="${RDEPEND} ${myiuse}? ( ${APACHE2_4_DEPEND} )"
+}
+
 # @FUNCTION: need_apache
 # @DESCRIPTION:
 # An ebuild calls this to get the dependency information for apache.
-- 
2.11.0.rc2




[gentoo-dev] [PATCH 2/5] depend.apache.eclass: Disallow EAPI=1

2016-12-08 Thread Andreas K . Hüttel
---
 eclass/depend.apache.eclass | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index a7d206f..e858a85 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -43,7 +43,7 @@
 inherit multilib
 
 case ${EAPI:-0} in
-   0|1|2|3|4|5)
+   0|2|3|4|5)
;;
6)
ewarn
-- 
2.11.0.rc2




[gentoo-dev] [PATCH 1/5] depend.apache.eclass: Replace build_with_use with has_version

2016-12-08 Thread Andreas K . Hüttel
From: Doug Freed 

---
 eclass/depend.apache.eclass | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index b69c2ec..a7d206f 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -290,7 +290,7 @@ has_apache() {
 has_apache_threads() {
debug-print-function $FUNCNAME $*
 
-   if ! built_with_use www-servers/apache threads; then
+   if ! has_version 'www-servers/apache[threads]'; then
return
fi
 
@@ -313,14 +313,14 @@ has_apache_threads() {
 has_apache_threads_in() {
debug-print-function $FUNCNAME $*
 
-   if ! built_with_use www-servers/apache threads; then
+   if ! has_version 'www-servers/apache[threads]'; then
return
fi
 
local myforeign="$1"
local myflag="${2:-threads}"
 
-   if ! built_with_use ${myforeign} ${myflag}; then
+   if ! has_version "${myforeign}[${myflag}]"; then
echo
eerror "You need to enable USE flag '${myflag}' in ${myforeign} 
to"
eerror "build a thread-safe version of ${CATEGORY}/${PN} for 
use"
-- 
2.11.0.rc2




[gentoo-dev] [PATCH 4/5] depend.apache.eclass: For EAPI=6, move initialization of APACHE_BASEDIR and APACHE_MODULESDIR into pkg_setup

2016-12-08 Thread Andreas K . Hüttel
---
 eclass/depend.apache.eclass | 35 ---
 1 file changed, 24 insertions(+), 11 deletions(-)

diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index a51ec55..8582396 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -40,17 +40,11 @@
 # }
 # @CODE
 
-inherit multilib
-
 case ${EAPI:-0} in
0|2|3|4|5)
+   inherit multilib
;;
6)
-   ewarn
-   ewarn "EAPI=${EAPI} is not supported by depend.apache.eclass."
-   ewarn "This means that ${CATEGORY}/${PF} is most likely buggy."
-   ewarn "Please file a report on https://bugs.gentoo.org/;
-   ewarn
;;
*)
die "EAPI=${EAPI} is not supported by depend.apache.eclass"
@@ -84,7 +78,8 @@ esac
 # @ECLASS-VARIABLE: APACHE_BASEDIR
 # @DESCRIPTION:
 # Path to the server root directory.
-# This variable is set by the want/need_apache functions.
+# This variable is set by the want/need_apache functions (EAPI=0 through 5)
+# or depend.apache_pkg_setup (EAPI=6 and later).
 
 # @ECLASS-VARIABLE: APACHE_CONFDIR
 # @DESCRIPTION:
@@ -104,7 +99,8 @@ esac
 # @ECLASS-VARIABLE: APACHE_MODULESDIR
 # @DESCRIPTION:
 # Path where we install modules.
-# This variable is set by the want/need_apache functions.
+# This variable is set by the want/need_apache functions (EAPI=0 through 5)
+# or depend.apache_pkg_setup (EAPI=6 and later).
 
 # @ECLASS-VARIABLE: APACHE_DEPEND
 # @DESCRIPTION:
@@ -141,10 +137,19 @@ _init_apache2() {
APACHE_BIN="/usr/sbin/apache2"
APACHE_CTL="/usr/sbin/apache2ctl"
APACHE_INCLUDEDIR="/usr/include/apache2"
-   APACHE_BASEDIR="/usr/$(get_libdir)/apache2"
APACHE_CONFDIR="/etc/apache2"
APACHE_MODULES_CONFDIR="${APACHE_CONFDIR}/modules.d"
APACHE_VHOSTS_CONFDIR="${APACHE_CONFDIR}/vhosts.d"
+
+   case ${EAPI:-0} in
+   0|2|3|4|5)
+   _init_apache2_late
+   ;;
+   esac
+}
+
+_init_apache2_late() {
+   APACHE_BASEDIR="/usr/$(get_libdir)/apache2"
APACHE_MODULESDIR="${APACHE_BASEDIR}/modules"
 }
 
@@ -173,7 +178,15 @@ depend.apache_pkg_setup() {
local myiuse=${1:-apache2}
if has ${myiuse} ${IUSE}; then
if use ${myiuse}; then
-   _init_apache2
+   case ${EAPI:-0} in
+   0|2|3|4|5)
+   _init_apache2
+   ;;
+   *)
+   _init_apache2
+   _init_apache2_late
+   ;;
+   esac
else
_init_no_apache
fi
-- 
2.11.0.rc2




Re: [gentoo-dev] [PATCH 1/5] depend.apache.eclass: Replace build_with_use with has_version

2016-12-08 Thread Doug Freed
On Fri, Dec 9, 2016 at 1:09 AM, Michał Górny  wrote:
> On Thu,  8 Dec 2016 21:36:28 +0100
> Andreas K. Hüttel  wrote:
>
>> From: Doug Freed 
>>
>> ---
>>  eclass/depend.apache.eclass | 6 +++---
>>  1 file changed, 3 insertions(+), 3 deletions(-)
>>
>> diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
>> index b69c2ec..a7d206f 100644
>> --- a/eclass/depend.apache.eclass
>> +++ b/eclass/depend.apache.eclass
>> @@ -290,7 +290,7 @@ has_apache() {
>>  has_apache_threads() {
>>   debug-print-function $FUNCNAME $*
>>
>> - if ! built_with_use www-servers/apache threads; then
>> + if ! has_version 'www-servers/apache[threads]'; then
>>   return
>>   fi
>>
>> @@ -313,14 +313,14 @@ has_apache_threads() {
>>  has_apache_threads_in() {
>>   debug-print-function $FUNCNAME $*
>>
>> - if ! built_with_use www-servers/apache threads; then
>> + if ! has_version 'www-servers/apache[threads]'; then
>>   return
>>   fi
>>
>>   local myforeign="$1"
>>   local myflag="${2:-threads}"
>>
>> - if ! built_with_use ${myforeign} ${myflag}; then
>> + if ! has_version "${myforeign}[${myflag}]"; then
>>   echo
>>   eerror "You need to enable USE flag '${myflag}' in 
>> ${myforeign} to"
>>   eerror "build a thread-safe version of ${CATEGORY}/${PN} for 
>> use"
>
> I don't think it's valid for EAPI 0/1. You should probably move the
> EAPI 1 ban first, to avoid keeping half-broken state between commits,
> and add an explicit die call here for EAPI 0. It's better if ebuild
> dies with explanation rather than unreliably fails with invalid
> has_version syntax.

Correct, USE dependencies don't exist until EAPI 2 (which is why
people used built_with_use instead of has_version).  This is why I
banned both EAPI 0 and 1 in my version of the patch.  There are
presently 19 EAPI 0 consumers of this eclass, though.

-Doug



Re: [gentoo-dev] [PATCH 1/5] depend.apache.eclass: Replace build_with_use with has_version

2016-12-08 Thread Michał Górny
On Thu,  8 Dec 2016 21:36:28 +0100
Andreas K. Hüttel  wrote:

> From: Doug Freed 
> 
> ---
>  eclass/depend.apache.eclass | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
> 
> diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
> index b69c2ec..a7d206f 100644
> --- a/eclass/depend.apache.eclass
> +++ b/eclass/depend.apache.eclass
> @@ -290,7 +290,7 @@ has_apache() {
>  has_apache_threads() {
>   debug-print-function $FUNCNAME $*
>  
> - if ! built_with_use www-servers/apache threads; then
> + if ! has_version 'www-servers/apache[threads]'; then
>   return
>   fi
>  
> @@ -313,14 +313,14 @@ has_apache_threads() {
>  has_apache_threads_in() {
>   debug-print-function $FUNCNAME $*
>  
> - if ! built_with_use www-servers/apache threads; then
> + if ! has_version 'www-servers/apache[threads]'; then
>   return
>   fi
>  
>   local myforeign="$1"
>   local myflag="${2:-threads}"
>  
> - if ! built_with_use ${myforeign} ${myflag}; then
> + if ! has_version "${myforeign}[${myflag}]"; then
>   echo
>   eerror "You need to enable USE flag '${myflag}' in ${myforeign} 
> to"
>   eerror "build a thread-safe version of ${CATEGORY}/${PN} for 
> use"

I don't think it's valid for EAPI 0/1. You should probably move the
EAPI 1 ban first, to avoid keeping half-broken state between commits,
and add an explicit die call here for EAPI 0. It's better if ebuild
dies with explanation rather than unreliably fails with invalid
has_version syntax.

-- 
Best regards,
Michał Górny



pgp50ZjE9W8WS.pgp
Description: OpenPGP digital signature